<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns="http://www.w3.org/1999/xhtml">
    <gri:panel rendered="#{pnrIHEManager.editXDSDocumentEntry}">
        <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.XDSDocumentEntryOnDemandDocument']}</f:facet>
        <s:div id="metadatass">

            <div class="form-horizontal">
                <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                    <ui:param name="id" value="documentEntryId"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.XDSDocumentEntryTitle']}</ui:define>
                    <h:inputText id="documentEntryId" value="#{pnrIHEManager.selectedXDSDocumentEntry.title}" styleClass="form-control">
                        <a4j:ajax event="blur" render="treesubid"/>
                    </h:inputText>
                </s:decorate>
            </div>
            <s:div id="repl">
                <div class="form-horizontal">

                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                        <ui:param name="id" value="documentEntryRelationId"/>
                        <ui:define name="label">
                            #{messages['net.ihe.gazelle.xdstar.DocumentEntryRelationToOldDocuments']}
                        </ui:define>
                        <h:selectOneMenu id="documentEntryRelationId" styleClass="form-control gzl-form-control gzl-select-text"
                                         value="#{pnrIHEManager.selectedXDSDocumentEntry.associationType}">
                            <f:selectItems value="#{pnrIHEManager.getListAssociationTypes()}"
                                           noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"/>
                            <a4j:ajax event="change" render="repl"/>
                        </h:selectOneMenu>
                        <span class="gzl-icon-question-circle"
                              title="#{messages['net.ihe.gazelle.xdstar.ChooseTheTypeOfTheAssociationWithAnExistingDocum']})"/>
                    </s:decorate>

                    <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml"
                                rendered="#{pnrIHEManager.selectedXDSDocumentEntry.associationType != null}">
                        <ui:param name="id" value="targetObjectId"/>
                        <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.TargetObjectId']}</ui:define>
                        <h:inputText id="targetObjectId" value="#{pnrIHEManager.selectedXDSDocumentEntry.targetDocument}" styleClass="form-control"/>
                    </s:decorate>
                </div>
            </s:div>
            <div class="form-horizontal">
                <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                    <ui:param name="id" value="mimeTypeId"/>
                    <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.MimeType']}</ui:define>
                    <h:inputText id="mimeTypeId" value="#{pnrIHEManager.selectedXDSDocumentEntry.mimeType}" styleClass="form-control"/>
                </s:decorate>
            </div>
            <f:subview id="subview_1">
                <ui:include src="/provide_register/pnr_docEntry_table.xhtml"/>
            </f:subview>
            <br/>
            <br/>
            <a4j:commandButton styleClass="gzl-btn-blue"
                               value="#{messages['net.ihe.gazelle.xdstar.RandomFulfil']}"
                               actionListener="#{pnrIHEManager.randomFulFilDocEntryMetadata()}"
                               render="metadata_id"/>
            <a4j:commandButton styleClass="gzl-btn-green"
                               value="#{messages['net.ihe.gazelle.xdstar.AddOptionalMetadata']}"
                               rendered="#{pnrIHEManager.listOptionalMetadata.size() &gt; 0}"
                               actionListener="#{pnrIHEManager.initListOptionalMetadata()}"
                               oncomplete="jq162('#AddOptionalMetadata').modal('show');"
                               render="AddOptionalMetadatadec,AddOptionalMetadataForm"/>
        </s:div>
        <br/>
    </gri:panel>
</ui:composition>
